<?php

// --------------------------------------------------------------------------
//
// Esvon Classifieds v.5.0
// Copyright(C), Esvon LTD, 2001-2023, All Rights Reserved.
// E-mail: products@esvon.com
//
// All forms of reproduction, including, but not limited to, internet posting, 
// printing, e-mailing, faxing and recording are strictly prohibited.
// One license required per site running Esvon Classifieds. 
// To obtain a license for using Esvon Classifieds, please register at
// http://www.esvon.com/pg/products/p_classifieds/
//
// --------------------------------------------------------------------------

function block_Shopping_Cart(&$tpl, $args = ''){

  include_once SITE_PATH.'modules/Shopping_Cart/class.basket.php';
  $hw_cart = &Factory::singleton('basket');

  $z = array();
  $z['total'] = '0.00';
  
  $items = $hw_cart->getItemsArray();
  $cnt = count($items);
  
  if($cnt>0){
    $z['total'] = $hw_cart->sumItemsTotal();
    if(!$z['total']) $z['total'] = '0.00';
  }
  
  $z['cart_num'] = 0;

  if($args['total_only']){
    for($i=0;$i<$cnt;$i++) $z['cart_num']+=$items[$i]['AMOUNT'];
    $tpl->AddCell('b_Shopping_Cart',$z);
    return;
  }

  if($cnt>0){  
    $v = array();
    for($i=0;$i<$cnt;$i++){
      $v['cart_title'] = $items[$i]['NAME'];
      $v['cart_quant'] = $items[$i]['AMOUNT'];
      $v['cart_id'] = $items[$i]['ID'];
      $v['ad_url'] = hwGetAdURL($v['cart_id']);
      $z['cart_num']+=$v['cart_quant'];
      $tpl->AddCell('b_Shopping_Cart',$v,'row');
    }
    
  }
  else  $tpl->AddCell('b_Shopping_Cart','','empty');

  $tpl->AddCell('b_Shopping_Cart',$z,'def');
  
}

?>